import { Response } from 'express';
import { userService } from '../../../services/userService';
import { AuthRequest } from "../../../middleware/auth";


// Изменить количество лайков
export async function updateLikes(req: AuthRequest, res: Response): Promise<void> {
  try {
    const authors = await userService.getAuthors();
    res.json(authors);
  } catch {
    res.status(500).json({ error: 'Серверная ошибка' });
  }
}
